Bug 399781 - system-configure-firewall crashes when system is configured for Romanian
system-configure-firewall crashes when system is configured for Romanian
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-26 13:12 EST by Răzvan Sandu
Modified: 2009-09-21 18:00 EDT (History)
0 users

See Also:
Fixed In Version: system-config-firewall-1.0.12-3.1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-31 16:47:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-11-26 13:12:35 EST
Description of problem:

system-configure-firewall crashes when the default system language is Romanian
and one tries to disable firewall.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a fresh F8 system with firewall enabled and started.
2. Configure default system language to Romanian, keyboard Romanian.
3. Launch system-config-firewall and disable the firewall.
4. When pressing Apply button to save changes, the following error occurs:

Cofigurarea a eşuat (the Romanian for „Configuring has failed”)

/usr/sbin/lokkit -f --disabled --removemodule=nf_conntrack_ftp
--removemodule=nf_conntrack_netbios_ns --port=22:tcp

Traceback (most recent call last):
  File "/usr/sbin/lokkit", line 52, in <module>
    old_config = parseSELinuxArgs(selinux_args, options=old_config)
  File "/usr/share/system-config-firewall/fw_parser.py", line 178, in
    return _parse_args(parser, args, options)
  File "/usr/share/system-config-firewall/fw_parser.py", line 159, in _parse_args
    (_options, _args) = parser.parse_args(args, options)
  File "/usr/lib64/python2.5/optparse.py", line 1380, in parse_args
  File "/usr/lib64/python2.5/optparse.py", line 1561, in error
  File "/usr/lib64/python2.5/optparse.py", line 1648, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 66: ordinal
not in range(128)

Actual results:
system-configure-firewall crashes; firewall is not disabled.

Expected results:
system-configure-firewall should perform normally.

Additional info:
It is very possible that this bug has the same common source with bug #376231 ,
which is related to bug #329071 and bug #337271 .
Comment 1 Thomas Woerner 2008-01-31 11:43:43 EST
Can you please verify this with the latest changes for the locale?
Comment 2 Răzvan Sandu 2008-01-31 16:47:09 EST
Seems to be OK, I'll close this.

Thanks a lot,

Note You need to log in before you can comment on or make changes to this bug.